<article class="container container-fluid">
  <section class="create" *ngIf="isCreate">
    <h1>Create User</h1>
    <form>
      <div class="form-group">
        <label for="name">Name</label>
        <input type="text" class="form-control" id="name" name="name" placeholder="Enter your name" [(ngModel)]="userName">
      </div>
      <div class="row">
        <div class="offset-md-5 col-md-2">
          <button type="button" class="btn btn-primary" (click)="onSet()">Set Name</button>
        </div>
      </div>
    </form>
  </section>

  <section class="upload" *ngIf="isUpload">
    <h1>Upload File</h1>
      <app-upload (onUploadFinished)="uploadFinished($event)" [user]="userName"></app-upload>
  </section>

  <section class="files" *ngIf="isView">
    <h1>View Uploaded Files</h1>
    <app-view></app-view>
  </section>
</article>
